List transfers
curl --request GET \
--url https://app.sideshift.app/api/embed/transfers \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sideshift.app/api/embed/transfers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sideshift.app/api/embed/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"transfers": [
{
"transferId": "txfr_abc123def456",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"amountCents": 5000,
"amountUsd": 50,
"status": "completed",
"direction": "company_to_user",
"destinationBalance": "wallet",
"paymentTransferId": "<string>",
"idempotencyKey": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
}
}
}Retrieve a paginated list of transfers. Filter by account, status, direction, or metadata.
Results are returned newest-first.
GET
/
transfers
List transfers
Authorizations
Your SideShift Connect API key (sk_live_* or sk_test_*). Generate from Settings → Connect.
Query Parameters
Filter to transfers involving this account (source or destination)
Available options:
pending, completed, failed Available options:
company_to_user, user_to_company, user_to_user Filter by metadata value (e.g. metadata[orderId]=order_123)
Required range:
1 <= x <= 100Required range:
x >= 0